# $Revision: 1.11 $, $Date: 2011/07/01 14:26:15 $
#
# Conditional build:
%bcond_with	tests	# do perform "make test"
			# requires internet connectivity
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Mechanize-Cached
Summary:	WWW::Mechanize::Cached - cache response to be polite
Summary(pl.UTF-8):	WWW::Mechanize::Cached - buforowanie odpowiedzi, aby zachowywać się grzecznie
Name:		perl-WWW-Mechanize-Cached
Version:	1.40
Release:	1
# same as perl 5+
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3923f445d657b030fcb16d727926fbe6
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Cache-Cache >= 1.02
BuildRequires:	perl-WWW-Mechanize >= 1.00
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Cached::Mechanize Perl module uses the Cache::Cache hierarchy to
implement a caching mechanism.  This lets one perform repeated
requests without hammering a server impolitely.

%description -l pl.UTF-8
Moduł Perla WWW::Cached::Mechanize wykorzystuje z hierarchię
Cache::Cache do implementacji mechanizmu buforowania. Pozwala on na
powtarzanie zapytań bez niegrzecznego nękania serwera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/WWW/Mechanize/Cached.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Mechanize-Cached.spec,v $
Revision 1.11  2011/07/01 14:26:15  marti
- up to 1.40

Revision 1.10  2009/10/16 09:02:51  amateja
- updated to 1.33

Revision 1.9  2008/07/27 22:58:13  arekm
- release 3

Revision 1.8  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:53  paladine
- formatting

Revision 1.5  2004/10/24 17:05:52  paladine
- spelling fixes, uppercases, etc.

Revision 1.4  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.3  2004/05/30 12:42:51  qboosh
- fixed bcond desc

Revision 1.2  2004/05/30 12:25:54  ankry
- pl, cosmetics

Revision 1.1  2004/05/30 09:52:35  migo
- initial revision
